SalesOS.

Products

Product catalog management

Products Controller_find All

GET
/api/products

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

typeRequiredstring
categoryRequiredstring
isActiveRequiredstring
searchRequiredstring
curl -X GET "https://www.salesos.org/api/api/products?type=%3Cstring%3E&category=%3Cstring%3E&isActive=%3Cstring%3E&search=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Products Controller_create

POST
/api/products

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X POST "https://www.salesos.org/api/api/products" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Products Controller_get Stats

GET
/api/products/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://www.salesos.org/api/api/products/stats" \
  -H "Authorization: Bearer <token>"

Products Controller_find One

GET
/api/products/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://www.salesos.org/api/api/products/<string>" \
  -H "Authorization: Bearer <token>"

Products Controller_update

PATCH
/api/products/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring
curl -X PATCH "https://www.salesos.org/api/api/products/<string>" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Products Controller_remove

DELETE
/api/products/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X DELETE "https://www.salesos.org/api/api/products/<string>" \
  -H "Authorization: Bearer <token>"

Products Controller_find By Sku

GET
/api/products/sku/{sku}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

skuRequiredstring
curl -X GET "https://www.salesos.org/api/api/products/sku/<string>" \
  -H "Authorization: Bearer <token>"

Products Controller_bulk Update

POST
/api/products/bulk/update

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://www.salesos.org/api/api/products/bulk/update" \
  -H "Authorization: Bearer <token>"

Products Controller_bulk Delete

POST
/api/products/bulk/delete

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://www.salesos.org/api/api/products/bulk/delete" \
  -H "Authorization: Bearer <token>"